Subject: Re: [Sip] SIP Client Transaction

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 03 Apr 2003 03:50:01 -0500

inline.

Vijay Gaur wrote:
> Hi,
>   RFC 3261 section "17.1.1.1 Overview of INVITE Transaction" specifies the
> state machine for Client INVITE transaction. In the diagram if client
> transaction state comes to proceeding after receiving 1xx message, no timers
> are started. It is not specified that if no message is  received further in
> this state, how this transaction will be terminated. There is no timer
> specified to clear this transaction. 

For proxies, timer C is used (see section 16.8 of rfc3261). For a user 
agent, its an application problem. Only the application knows how long 
it wishes to let the phone ring before giving up.

> Do we need to start timer B again in
> this state and clear the transaction after timer B expiry?

When timer B fires, the transaction is terminated. See figure 6 of rfc3261.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Scientist                             Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip